CppUnit - The Unit Testing Library

CppUnit project page | FAQ

Public Member Functions | Static Public Member Functions | Private Types | Private Member Functions | Static Private Member Functions | Private Attributes | List of all members
TestFactoryRegistryList Class Reference

(INTERNAL) List of all TestFactoryRegistry. More...

## Public Member Functions
| TestFactoryRegistryList ()
| ~TestFactoryRegistryList ()

## Static Public Member Functions
static TestFactoryRegistry * | getRegistry (const std::string &name)
static bool | isValid ()

## Private Types
enum | State { doNotChange =0, notCreated, exist, destroyed }
typedef CppUnitMap< std::string, TestFactoryRegistry *, std::less< std::string > > | Registries

## Private Member Functions
TestFactoryRegistry * | getInternalRegistry (const std::string &name)

## Static Private Member Functions
static State | stateFlag (State newState=doNotChange)
static TestFactoryRegistryList * | getInstance ()

## Private Attributes
Registries | m_registries

## Detailed Description

(INTERNAL) List of all TestFactoryRegistry.

## Member Typedef Documentation

## § Registries

typedef CppUnitMap<std::string, TestFactoryRegistry *, std::less<std::string> > TestFactoryRegistryList::Registries
| private

## Member Enumeration Documentation

## § State

enum TestFactoryRegistryList::State
| private

Enumerator
doNotChange |
notCreated |
exist |
destroyed |

## Constructor & Destructor Documentation

## § TestFactoryRegistryList()

TestFactoryRegistryList::TestFactoryRegistryList | ( |  | ) |
| inline

## § ~TestFactoryRegistryList()

TestFactoryRegistryList::~TestFactoryRegistryList | ( |  | ) |
| inline

## Member Function Documentation

## § getInstance()

static TestFactoryRegistryList* TestFactoryRegistryList::getInstance | ( |  | ) |
| inlinestaticprivate

## § getInternalRegistry()

TestFactoryRegistry* TestFactoryRegistryList::getInternalRegistry | ( | const std::string & | name | ) |
| inlineprivate

## § getRegistry()

static TestFactoryRegistry* TestFactoryRegistryList::getRegistry | ( | const std::string & | name | ) |
| inlinestatic

## § isValid()

static bool TestFactoryRegistryList::isValid | ( |  | ) |
| inlinestatic

## § stateFlag()

static State TestFactoryRegistryList::stateFlag | ( | State | newState = `doNotChange` | ) |
| inlinestaticprivate

## Member Data Documentation

## § m_registries

Registries TestFactoryRegistryList::m_registries
| private

The documentation for this class was generated from the following file:

- TestFactoryRegistry.cpp

| Send comments to: CppUnit Developers